"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("../base/http");
const express_session_1 = __importDefault(require("express-session"));
const util_1 = require("../base/util");
class SessionMiddleware extends http_1.Middleware {
    constructor() {
        var _a;
        super(...arguments);
        this.order = -98;
        this.route = null;
        this.action = (0, express_session_1.default)({ secret: ((_a = this.context.options) === null || _a === void 0 ? void 0 : _a.sessionSecret) || util_1.Guid.new(), resave: false, saveUninitialized: false });
    }
}
exports.default = SessionMiddleware;
//# sourceMappingURL=SessionMiddleware.js.map